diff -Nrc2 fontutils-0.5/ChangeLog fontutils-0.6/ChangeLog
*** fontutils-0.5/ChangeLog	Thu Sep  3 09:13:13 1992
--- fontutils-0.6/ChangeLog	Wed Oct 28 16:07:53 1992
***************
*** 1,2 ****
--- 1,67 ----
+ Wed Oct 28 15:09:29 1992  Karl Berry  (karl@claude.cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ 	* GNUmakefile.in (install): Install data files with file as second
+ 	arg, not directory.
+ 
+ Sun Oct 25 15:29:19 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* GNUmakefile.in (realclean): Depend on distclean.
+ 
+ 	* GNUmakefile.in (installargs): Passed texinputdir as mfinputdir.
+ 
+ 	* GNUmakefile.in (install): Correct to `emacs_datadir' in the mkdir.
+ 
+ Thu Oct 15 08:35:21 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* configure: Ran Autoconf 1.2.
+ 
+ Mon Oct  5 10:24:15 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* configure.in: Generate doc/Makefile. (arif@stat.fsu.edu)
+ 
+ 	* GNUmakefile.in (install): Install common.cmi. (ab@meiko.co.uk)
+ 
+ Sun Oct  4 11:22:45 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* GNUmakefile.in (examplefiles): Remove; just make links.
+         (dist): Don't copy them.
+ 
+ Sun Sep 20 12:53:29 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * GNUmakefile.in (config.status): use sh to run configure --no-create.
+ 
+         * GNUmakefile.in (realclean): OK, don't remove configure.
+ 
+ Mon Sep 14 17:50:54 1992  Karl Berry  (karl@hayley)
+ 
+         * GNUmakefile.in (realclean): separate from distclean.
+         (distclean): remove GNUmakefile.
+         (config.status): new target.
+         (GNUmakefile): depend on config.status.
+ 
+ Sat Sep 12 14:53:31 1992  Karl Berry  (karl@hayley)
+ 
+         * GNUmakefile.in (dist): replace remaining occurrences of
+           `fontutils-$(version) with `$(top_distdir)'.
+ 
+ Thu Sep 10 08:57:02 1992  Karl Berry  (karl@hayley)
+ 
+         * GNUmakefile.in (dist): changed where the COPYING* files are kept.
+ 
+         * GNUmakefile.in (xincludedir, xlibdir): say that these are
+           options, not just directories.
+ 
+         * GNUmakefile.in (realclean): remove configure.
+ 
+ Tue Sep  8 16:42:04 1992  Karl Berry  (karl@hayley)
+ 
+         * configure.in: test for more Unix variants.
+ 
+ Fri Sep  4 08:39:15 1992  Karl Berry  (karl@hayley)
+ 
+         * GNUmakefile.in (extraclean): new target.
+ 
  Thu Sep  3 08:54:12 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/INSTALL fontutils-0.6/INSTALL
*** fontutils-0.5/INSTALL	Thu Sep  3 09:45:44 1992
--- fontutils-0.6/INSTALL	Tue Oct 27 13:27:20 1992
***************
*** 19,24 ****
     * Run GNU make.  For example, if it's installed as `make', just type
       `make' in the top-level directory.  If all goes well, this will
!      compile all the programs.  *Note Problems::, for known warnings
!      and other trouble during compilation.
  
     * Install the programs and supporting data files with `make install'.
--- 19,23 ----
     * Run GNU make.  For example, if it's installed as `make', just type
       `make' in the top-level directory.  If all goes well, this will
!      compile all the programs.
  
     * Install the programs and supporting data files with `make install'.
diff -Nrc2 fontutils-0.5/NEWS fontutils-0.6/NEWS
*** fontutils-0.5/NEWS	Wed Sep  2 08:54:04 1992
--- fontutils-0.6/NEWS	Sun Oct 25 14:13:14 1992
***************
*** 1,5 ****
! User-visible change log.
  
! Version 0.5
  
  * Manual written!
--- 1,38 ----
! Version 0.6 (28 October 1992)
  
! * Imageto changes:
!   - Automatically removes all pieces of adjacent characters; the
!     `-clean-threshold' kludge is gone.
!   - `-info-filename' option renamed to `-ifi-filename'.
!   - Writes a complete GF font if the image file is incomplete.
!   - No longer crashes on a filename lacking an extension.
! 
! * BZRto changes:
!   - No longer requires TFM files as input along with the BZR files.
!   - Doesn't guess that the CCC file is the same as the BZR file.
!   - Ligature/kern Metafont output doesn't crash on missing characters.
!   - Metafont output does better at not overflowing MF's memory.
! 
! * GSrenderfont changes:
!   - Handles invisible characters, such as spaces.
!   - Reads Type 3 PostScript fonts, as well as Type 1.
!   - No longer requires an output encoding; default is same as input.
!   - Reads fonts that aren't known to Ghostscript by default.
! 
! * Other program changes:
!   - Limn doesn't try to log uninitialized floating-point numbers.
!   - All the programs handle fontnames containing `.' better.
!   - Verbose output usually goes to standard output, instead of standard error.
!   - Minor installation and configuration fixes.
! 
! * Documentation changes:
!   - The chapter on bug reporting has some further explanation of the
!     purpose of what we ask for, and clarifications.  Please read before
!     submitting bug reports.
!   - The chapter on Imageto has been substantially rewritten.  I hope the
!     difficulties people encountered using that program because of
!     deficiencies in the manual will be cleared up now.
!   
! Version 0.5 (3 September 1992)
  
  * Manual written!
***************
*** 18,24 ****
  
  * Imageto uses character names instead of codes, and
!   can write EPSF files.
  
! Version 0.4 (28 Mar 92)
  
  First public release.
--- 51,57 ----
  
  * Imageto uses character names instead of codes, and
!   can write EPS files.
  
! Version 0.4 (28 Mar 1992)
  
  First public release.
diff -Nrc2 fontutils-0.5/README fontutils-0.6/README
*** fontutils-0.5/README	Thu Sep  3 14:18:21 1992
--- fontutils-0.6/README	Sat Oct 17 17:02:25 1992
***************
*** 1,4 ****
  This directory contains the GNU font utilities.  See `ChangeLog' or
! `GNUmakefile.in' for the version number.
  
  See the Texinfo manual in doc/ for installation and usage information.
--- 1,4 ----
  This directory contains the GNU font utilities.  See `ChangeLog' or
! `GNUmakefile.in' for the version number.  See `NEWS' for changes by release.
  
  See the Texinfo manual in doc/ for installation and usage information.
diff -Nrc2 fontutils-0.5/bin/imagestrip fontutils-0.6/bin/imagestrip
*** fontutils-0.5/bin/imagestrip
--- fontutils-0.6/bin/imagestrip	Fri Oct  2 14:02:13 1992
***************
*** 0 ****
--- 1,25 ----
+ #!/bin/sh
+ 
+ if test $# -ne 1
+ then
+   echo "Usage: $0 <img file>[.img]"
+   exit 1
+ fi
+ 
+ input=`basename $1 .img`
+ 
+ # Show an image via -strips.
+ imageto -verbose -strips ${input}.img
+ 
+ rm -f ${input}sp.tfm
+ fontconvert -verbose -tfm ./${input}sp.1200
+ 
+ gftopk -v ./${input}sp.1200gf
+ rm -f ${input}sp.1200gf
+ 
+ echo ./${input}sp | tex $research/imageto/strips
+ mv strips.dvi ${input}sp.dvi
+ 
+ rm strips.log ${input}sp.pl
+ 
+ exec xdvi -p 1200 -s 12 ${input}sp
diff -Nrc2 fontutils-0.5/bin/show-gf fontutils-0.6/bin/show-gf
*** fontutils-0.5/bin/show-gf
--- fontutils-0.6/bin/show-gf	Sun Oct  4 15:55:56 1992
***************
*** 0 ****
--- 1,37 ----
+ #!/bin/sh
+ # Make a font sample of the given GF file.  Remove any PK file with the
+ # same root, to avoid confusion.
+ 
+ if test $# -ne 1
+ then
+   echo "Usage: $0 <GF file>[gf]."
+   exit 1
+ fi
+ 
+ 
+ gf_name=`echo $1 | sed 's/gf$//'`gf
+ 
+ if test ! -r $gf_name
+ then
+   echo $gf_name: No such file.
+   exit 1
+ fi
+ 
+ pk_name=`echo $gf_name | sed 's/gf$/pk/'`
+ if test -r $pk_name
+ then mv -v $pk_name /tmp
+ fi
+ 
+ root=`echo $gf_name | sed 's/\.[0-9]*gf$//'`
+ tfm_name=$root.tfm
+ 
+ if test -r $tfm_name
+ then mv -v $tfm_name /tmp
+ fi
+ fontconvert -tfm $gf_name
+ 
+ echo $root | tex table
+ 
+ resolution=`echo $gf_name | sed 's/.*\.\([0-9]*\)gf$/\1/'`
+ shrink=`expr $resolution / 100`
+ xdvi -p $resolution -s $shrink table
diff -Nrc2 fontutils-0.5/bpltobzr/ChangeLog fontutils-0.6/bpltobzr/ChangeLog
*** fontutils-0.5/bpltobzr/ChangeLog	Thu Sep  3 09:29:23 1992
--- fontutils-0.6/bpltobzr/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,10 ----
+ Tue Oct 27 12:56:53 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Sun Oct 25 14:23:49 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* bzr.y (chardef): Use `CHAR_BB' instead of `BZR_CHAR_BB'.
+ 
  Thu Sep  3 09:29:08 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/bpltobzr/bpl.y fontutils-0.6/bpltobzr/bpl.y
*** fontutils-0.5/bpltobzr/bpl.y	Sun Aug 16 21:43:04 1992
--- fontutils-0.6/bpltobzr/bpl.y	Sun Oct 25 14:24:02 1992
***************
*** 102,106 ****
                CHARCODE (ch) = $2;
                CHAR_SET_WIDTH (ch) = $3;
!               BZR_CHAR_BB (ch) = *$4;
                BZR_SHAPE (ch) = *$5;
                bzr_put_char (ch);
--- 102,106 ----
                CHARCODE (ch) = $2;
                CHAR_SET_WIDTH (ch) = $3;
!               CHAR_BB (ch) = *$4;
                BZR_SHAPE (ch) = *$5;
                bzr_put_char (ch);
diff -Nrc2 fontutils-0.5/bpltobzr/version.c fontutils-0.6/bpltobzr/version.c
*** fontutils-0.5/bpltobzr/version.c	Thu Sep  3 09:46:19 1992
--- fontutils-0.6/bpltobzr/version.c	Tue Oct 27 13:27:58 1992
***************
*** 1 ****
! char *version_string = "bpltobzr version 0.5";
--- 1 ----
! char *version_string = "bpltobzr version 0.6";
diff -Nrc2 fontutils-0.5/bzr/ChangeLog fontutils-0.6/bzr/ChangeLog
*** fontutils-0.5/bzr/ChangeLog	Thu Sep  3 09:29:37 1992
--- fontutils-0.6/bzr/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,2 ****
--- 1,15 ----
+ Tue Oct 27 12:56:04 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Sun Oct 18 17:06:39 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* bzr_{in,out}put.c (BZR_CHAR_{MIN,MAX}_{COL,ROW}): No `BZR_'
+ 	prefix anymore.
+ 
+ 	* bzr_input.c (bzr_get_next_char): New routine (it was declared in
+ 	bzr.h, but not defined!).
+         (bzr_get_char): Call it.
+ 
  Thu Sep  3 09:29:33 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/bzr/bzr_input.c fontutils-0.6/bzr/bzr_input.c
*** fontutils-0.5/bzr/bzr_input.c	Fri Aug 14 17:24:36 1992
--- fontutils-0.6/bzr/bzr_input.c	Sun Oct 18 17:08:28 1992
***************
*** 140,151 ****
  bzr_get_char (charcode_type code)
  {
-   bzr_char_type *c;
    byte_count_type char_ptr;
-   one_byte command;
-   real_coordinate_type current_point;
-   real (*get_num) (void);
-   real_coordinate_type (*get_point) (void);
-   spline_list_type list;
-   boolean no_current_point = true;
    
    assert (bzr_input_file != NULL);
--- 140,144 ----
***************
*** 161,166 ****
--- 154,181 ----
      return NULL;
      
+   /* Move to the beginning of the character definition.  */
    BZR_FSEEK (char_ptr, SEEK_SET);
    
+   return bzr_get_next_char ();
+ }
+ 
+ 
+ /* This returns the character starting at the current position in
+    `bzr_input_file', or NULL if we are at the postamble, or gives a
+    fatal error if we're not at either.  */
+ 
+ bzr_char_type *
+ bzr_get_next_char ()
+ {
+   bzr_char_type *c;
+   one_byte command;
+   real_coordinate_type current_point;
+   real (*get_num) (void);
+   real_coordinate_type (*get_point) (void);
+   spline_list_type list;
+   boolean no_current_point = true;
+ 
+   assert (bzr_input_file);
+ 
    command = BZR_GET_BYTE ();
    if (command == BOC)
***************
*** 168,195 ****
    else if (command == BOC_ABBREV)
      get_num = bzr_get_abbrev_design_scaled;
    else
!     FATAL1 ("bzr_get_char: Expected BOC, found %u", command);
    
!   c = xmalloc (sizeof (bzr_char_type));
    
!   /* Read the character information that is always present.  */
    CHARCODE (*c) = BZR_GET_BYTE ();
    CHAR_SET_WIDTH (*c) = get_num ();
!   BZR_CHAR_MIN_COL (*c) = get_num ();
!   BZR_CHAR_MIN_ROW (*c) = get_num ();
!   BZR_CHAR_MAX_COL (*c) = get_num ();
!   BZR_CHAR_MAX_ROW (*c) = get_num ();
    
!   if (BZR_CHAR_MIN_COL (*c) > BZR_CHAR_MAX_COL (*c))
      {
!       WARNING2 ("bzr_get_char: Min col %f > max col %f",
!                BZR_CHAR_MIN_COL (*c), BZR_CHAR_MAX_COL (*c));
!       BZR_CHAR_MIN_COL (*c) = BZR_CHAR_MAX_COL (*c);
      }
!   if (BZR_CHAR_MIN_ROW (*c) > BZR_CHAR_MAX_ROW (*c))
      {
!       WARNING2 ("bzr_get_char: Min row %f > max row %f",
!                BZR_CHAR_MIN_ROW (*c), BZR_CHAR_MAX_ROW (*c));
!       BZR_CHAR_MIN_ROW (*c) = BZR_CHAR_MAX_ROW (*c);
      }
    
--- 183,212 ----
    else if (command == BOC_ABBREV)
      get_num = bzr_get_abbrev_design_scaled;
+   else if (command == POST)
+     return NULL;
    else
!     FATAL1 ("bzr_get_next_char: Expected BOC or POST, found %u", command);
    
!   c = XTALLOC1 (bzr_char_type);
    
!   /* Read the beginning-of-character information that is always present.  */
    CHARCODE (*c) = BZR_GET_BYTE ();
    CHAR_SET_WIDTH (*c) = get_num ();
!   CHAR_MIN_COL (*c) = get_num ();
!   CHAR_MIN_ROW (*c) = get_num ();
!   CHAR_MAX_COL (*c) = get_num ();
!   CHAR_MAX_ROW (*c) = get_num ();
    
!   if (CHAR_MIN_COL (*c) > CHAR_MAX_COL (*c))
      {
!       WARNING2 ("bzr_get_next_char: Min col %f > max col %f",
!                CHAR_MIN_COL (*c), CHAR_MAX_COL (*c));
!       CHAR_MIN_COL (*c) = CHAR_MAX_COL (*c);
      }
!   if (CHAR_MIN_ROW (*c) > CHAR_MAX_ROW (*c))
      {
!       WARNING2 ("bzr_get_next_char: Min row %f > max row %f",
!                CHAR_MIN_ROW (*c), CHAR_MAX_ROW (*c));
!       CHAR_MIN_ROW (*c) = CHAR_MAX_ROW (*c);
      }
    
***************
*** 225,229 ****
              if (no_current_point)
                {
!                 WARNING ("bzr_get_char: spline given before the path started");
                  current_point = (real_coordinate_type) { 0.0, 0.0 };
                }
--- 242,246 ----
              if (no_current_point)
                {
!                 WARNING ("bzr_get_next_char: Spline before path started");
                  current_point = (real_coordinate_type) { 0.0, 0.0 };
                }
***************
*** 249,253 ****
              if (no_current_point)
                {
!                 WARNING ("bzr_get_char: line given before the path started");
                  current_point = (real_coordinate_type) { 0.0, 0.0 };
                }
--- 266,270 ----
              if (no_current_point)
                {
!                 WARNING ("bzr_get_next_char: Line before path started");
                  current_point = (real_coordinate_type) { 0.0, 0.0 };
                }
diff -Nrc2 fontutils-0.5/bzr/bzr_output.c fontutils-0.6/bzr/bzr_output.c
*** fontutils-0.5/bzr/bzr_output.c	Fri Aug 14 17:24:36 1992
--- fontutils-0.6/bzr/bzr_output.c	Sun Oct 18 17:08:57 1992
***************
*** 174,179 ****
    put_design_scaled
      = (ABBREV_P (CHAR_SET_WIDTH (c))
!        && ABBREV_P (BZR_CHAR_MIN_COL (c)) && ABBREV_P (BZR_CHAR_MIN_ROW (c))
!        && ABBREV_P (BZR_CHAR_MAX_COL (c)) && ABBREV_P (BZR_CHAR_MAX_ROW (c)))
        ? bzr_put_abbrev_design_scaled : bzr_put_design_scaled;
    BZR_PUT_BYTE (put_design_scaled == bzr_put_abbrev_design_scaled
--- 174,179 ----
    put_design_scaled
      = (ABBREV_P (CHAR_SET_WIDTH (c))
!        && ABBREV_P (CHAR_MIN_COL (c)) && ABBREV_P (CHAR_MIN_ROW (c))
!        && ABBREV_P (CHAR_MAX_COL (c)) && ABBREV_P (CHAR_MAX_ROW (c)))
        ? bzr_put_abbrev_design_scaled : bzr_put_design_scaled;
    BZR_PUT_BYTE (put_design_scaled == bzr_put_abbrev_design_scaled
***************
*** 185,202 ****
       ourselves would require rasterizing the splines, which should not
       be part of this routine.  */
!   put_design_scaled (BZR_CHAR_MIN_COL (c));
!   put_design_scaled (BZR_CHAR_MIN_ROW (c));
!   put_design_scaled (BZR_CHAR_MAX_COL (c));
!   put_design_scaled (BZR_CHAR_MAX_ROW (c));
  
    /* Update the font bounding box.  */
!   if (BZR_CHAR_MIN_COL (c) < MIN_COL (font_bb))
!     MIN_COL (font_bb) = BZR_CHAR_MIN_COL (c);
!   if (BZR_CHAR_MAX_COL (c) > MAX_COL (font_bb))
!     MAX_COL (font_bb) = BZR_CHAR_MAX_COL (c);
!   if (BZR_CHAR_MIN_ROW (c) < MIN_ROW (font_bb))
!     MIN_ROW (font_bb) = BZR_CHAR_MIN_ROW (c);
!   if (BZR_CHAR_MAX_ROW (c) > MAX_ROW (font_bb))
!     MAX_ROW (font_bb) = BZR_CHAR_MAX_ROW (c);
  
    for (this_list = 0; this_list < SPLINE_LIST_ARRAY_LENGTH (shape);
--- 185,202 ----
       ourselves would require rasterizing the splines, which should not
       be part of this routine.  */
!   put_design_scaled (CHAR_MIN_COL (c));
!   put_design_scaled (CHAR_MIN_ROW (c));
!   put_design_scaled (CHAR_MAX_COL (c));
!   put_design_scaled (CHAR_MAX_ROW (c));
  
    /* Update the font bounding box.  */
!   if (CHAR_MIN_COL (c) < MIN_COL (font_bb))
!     MIN_COL (font_bb) = CHAR_MIN_COL (c);
!   if (CHAR_MAX_COL (c) > MAX_COL (font_bb))
!     MAX_COL (font_bb) = CHAR_MAX_COL (c);
!   if (CHAR_MIN_ROW (c) < MIN_ROW (font_bb))
!     MIN_ROW (font_bb) = CHAR_MIN_ROW (c);
!   if (CHAR_MAX_ROW (c) > MAX_ROW (font_bb))
!     MAX_ROW (font_bb) = CHAR_MAX_ROW (c);
  
    for (this_list = 0; this_list < SPLINE_LIST_ARRAY_LENGTH (shape);
diff -Nrc2 fontutils-0.5/bzrto/.gdbinit fontutils-0.6/bzrto/.gdbinit
*** fontutils-0.5/bzrto/.gdbinit	Tue Sep  1 14:29:48 1992
--- fontutils-0.6/bzrto/.gdbinit	Wed Oct 21 06:52:55 1992
***************
*** 8,37 ****
  end
  
- #set args -ascii -pstype3 bsq > bsq.typ
- #set args -pstype3 ../fit-outlines/ggmr-0
- #set args -metafont ../fonts/ggmr30l
- #set args -verbose -metafont -pstype3 cmr12
- #set args -verbose -text -pstype3 -pstype1 -metafont cmr10 > cmr10.txt
- #set args -verbose -text -pstype3 -pstype1 -metafont test10 > test.txt
- #set args -verbose -metafont -pstype1 -output-file foo.bar cmr10
- #set args -verbose -metafont -pstype3 -output-file foo.bar cmr10
- #set args -verbose -metafont -pstype1 cmr10
- #set args -verbose -text cmr10 > cmr10.txt
- #set args -verbose -metafont -output-file foo.mf cmr10
- #set args -verbose -metafont -pstype1 -output-file ../ourfonts/ggmr26D \
- # ../ourfonts/ggmr26D
- #set args -verbose -metafont kmjC
- #set args -verbose -text -pstype1 -encoding=textext cmr10 > cmr10.bpl
- #set args -verbose -metafont cmr10
- #set args -verbose -metafont ../ourfonts/ggmr26d
- #set args -verbose -metafont -ccc-file empty cmr10
- #set args -verbose -metafont -ccc-file smalltest ../ourfonts/ggmr26D
- #set args -verbose -metafont cmr10
- #set args -verbose -text -range 18-19 cmr10
- #set args -verbose -pstype1 ../ourfonts/ggmr26D
- #set args -verbose -pstype1 -ccc-file smalltest ../ourfonts/ggmr26D
- #set args -verbose -pstype1 -metafont cmr10
- #set args -verbose -pstype1 -metafont -concat cmrN12 -range 77-78 cmrM10
- 
  # Concat ggmr26D with Y-Rb (remapped J->bracketleft; now obsolete), to
  # test sizing.
--- 8,11 ----
***************
*** 56,59 ****
    ../ourfonts/garamond/r/atlas/orig/ggmr26D
  
! set args -verbose -encoding=texlatin -ccc=test/aacute.ccc -metafont \
!  test/cmraacu
--- 30,35 ----
    ../ourfonts/garamond/r/atlas/orig/ggmr26D
  
! set args -verbose -pstype1 -pstype3 -mf $ourfonts/cm/cmr10.bzr \
!   -encoding=texlatin \
!   -ps-font-info FontName:ComputerModern-Roman,UniqueID:75 \
!   -ccc=test/aacute
diff -Nrc2 fontutils-0.5/bzrto/ChangeLog fontutils-0.6/bzrto/ChangeLog
*** fontutils-0.5/bzrto/ChangeLog	Thu Sep  3 07:50:41 1992
--- fontutils-0.6/bzrto/ChangeLog	Tue Oct 27 13:02:51 1992
***************
*** 1,4 ****
--- 1,204 ----
+ Tue Oct 27 12:57:01 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
+ Tue Oct 20 16:28:42 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* GNUmakefile (install): Make second arg a file, not a directory.
+ 
+ Mon Oct 19 08:14:26 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* bzrsetup.mf: Doc fix.
+ 
+ 	* metafont.c (metafont_output_bzr_char): Take the subrs as an arg,
+ 	and output a call if the character was previously output as a
+ 	subroutine.
+         (metafont_output_ccc_char): Likewise.
+         * pstype1.c (pstype1_output_{bzr,ccc}_char): Likewise.
+ 
+ 	* pstype1.c (subr_number): New static.
+         (output_subr_start): Assign to it; don't bother to test the
+         character name; don't return anything.  (Change callers.)
+         (OUT_CHAR_SUBR): Use it.
+ 
+ 	* pstype3.c (pstype3_output_char): Don't output the character if
+ 	it is not encoded.
+ 
+ 	* psutil.h (ps_char_output_p): Remove decl.
+         * psutil.c (ps_char_output_p): Remove variable.
+         (ps_output_encoding): Take the array as an option, instead of
+         using a global.
+         * pstype[13].c (char_output_p): New static; change to use this,
+           and pass to `ps_output_encoding'.  (Otherwise, the test for
+           `space' only work for the first output format.)
+ 
+ 	* psutil.c (INIT_CODE): Delete; it's unused now.
+ 
+ 	* psutil.c (out_notdef_loop): If only one character is undefined,
+ 	don't output a loop.
+ 
+ 	* psutil.c (ps_output_encoding): If the character doesn't exist in
+ 	the encoding, don't output it.
+ 
+ 	* main.c (output_{bzr,ccc}_{char,subr}): Output all formats
+ 	requested, not just the first.
+ 
+ 	* psutil.c (ps_output_encoding): Output the codingscheme string as
+ 	a comment.
+ 
+ 	* pstype1.c (CHARCODE_TO_SUBRS_INDEX, SUBRS_OFFSET): Remove.
+ 	Change calls.
+ 
+ 	* char.c (update_subrs, subr_chars): Return the number of
+ 	subrs found.
+         * char.h (subr_chars): Change decl.
+         * pstype1.c (pstype1_start_subrs): New routine.
+         * pstype1.h: Analogous changes.
+         * main.c (count_non_subr_chars): New routine.
+         (main): Call it, and the new PS1 routines.
+ 
+ 	* psutil.c (ps_set_font_info): Assign to the interword space if we
+ 	have TFM info.
+ 
+ 	* psutil.c (ps_set_font_info): Had test for `strstr' in weight
+ 	part reversed.
+ 
+ 	* pstype1.c ({PUT,DEF}_END): Rename to READONLY_{PUT,DEF}; change
+ 	calls.
+ 
+ 	* metafont.c (output_char_title): New routine.
+         (output_subr_start, output_{ccc,bzr}_char): Call it.
+ 
+ 	* main.c (read_bzr_files): Report the filenames as we read them.
+         (main): Report the character codes as we write them.
+ 
+ Sun Oct 18 15:19:30 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* char.c: Include ccc.h.
+ 
+ 	* pstype1.c (output_ccc_body): Rewrite -- same as metafont.c now.
+         (OUTPUT_BB_CHAR, UPDATE_*, OUT_MOVE, OUTPUT_MOVE): Delete.
+         (out_move, out_bb_char): New routine.
+ 
+ 	* pstype1.c (output_subr_start): Call `init_charstring_buffers' here.
+         (output_bzr_body): Not here.
+ 
+ Mon Oct 12 08:27:38 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* pstype1.c (output_private_dict_1): Take the UniqueID as an arg.
+         (pstype1_start_output): Change call.
+ 
+ 	* metafont.c (output_{bzr,ccc}_{body,subr,char}): New routines
+ 	rationalizing the old.
+         * metafont.h (output_{bzr,ccc}_{subr,char}): Declare.
+         * main.c (main): Call them.
+         * pstype1.[ch], main.c: Analogous changes.
+ 
+ 	* main.c (output_{bzr,ccc}_subr, read_bzr_file{s,}): New routines.
+         (main): Call them.
+ 
+ 	* char.c (subr_chars, update_subrs): New routine.
+         * char.h (subr_chars): Declare it.
+         (char_type): New type (different from our last `char_type'...).
+         * main.c (main): Call it.
+ 
+ 	* metafont.c (charcode_to_subr_name): Use the character name if
+ 	it's defined and alphabetic.
+ 
+ Sun Oct 11 15:24:19 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* main.c (starting_char, ending_char): Make external.
+         * main.h: Declare them.
+         * metafont.c (output_ligtable): Loop between them.
+         (mf_char_output_p): No longer needed.
+ 
+ 	* pstype[13].c (tfm_space): Rename to `interword_space'.
+ 
+ 	* pstype1.c (OUTPUT_{BB_CHAR,MOVE}): remove semicolon from end of def.
+ 
+ 	* GNUmakefile (c_and_h): Remove `oblique'.
+         * char.[ch]: Merge oblique.[ch] into here.
+ 
+ 	* input-ccc.c (parse_ccc_file): Take the design size as an arg.
+         * input-ccc.h (parse_ccc_file): Change decl.
+         * main.c (main): Change call.
+ 
+ 	* char.h (char_type, get_new_char): Remove decls.
+         (scale_char): Take a bzr_char_type instead of a char_type.
+         * char.c (get_new_char, scale_{bzr,tfm}_char): Remove all these;
+           change scale_char to take a bzr_char.
+         * main.c (output_subroutines, output_char): Just pass the BZR
+           char, don't use the BZR-extracting macros.
+         * {text,metafont,pstype1}.c: Similar changes.
+ 
+ Tue Oct  6 14:29:18 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* ccc.y (BZR_TFM_DIMEN): Replace with new macro, DO_CHAR_DIMEN.
+         (unit_of_measure): Use it, using the BZR dimensions instead of the
+         TFM dimensions.
+ 
+ 	* input-ccc.c (get_ccc_fontinfo): Pass the design size and BZR
+ 	characters, not the char_type array; assign a default x-height at the
+ 	end if necessary.
+ 
+ 	* metafont.h (metafont_start_output): Pass a pointer as the TFM
+ 	global info.  (Continuing yesterday's change.)
+         * metafont.c (metafont_start_output): Change definition
+           accordingly -- i.e., we might not have the TFM info.
+ 	* input-ccc.h (parse_ccc_file): Likewise.
+         * input-ccc.c (parse_ccc_file, get_ccc_fontinfo): And it continues.
+ 
+ Mon Oct  5 10:12:03 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* psutil.h (ps_font_info_type): New member `interword_space'.
+         (ps_init): Rename to `ps_set_font_info', and take no args.
+         * psutil.c (ps_init): Change accordingly; read globals set via
+           options instead of passing the info around.
+         (option_value): New fn.
+         * pstype1.c (pstype1_start_output): Don't pass the font names and
+           TFM info; change call to ps_init for new name; use
+           BZR_DESIGN_SIZE instead of TFM_DESIGN_SIZE.
+         * pstype1.h (pstype1_start_output): Change decl.
+         * pstype3.[ch]: Analogous changes.
+         * main.c (main): Change calls.
+         (read_command_line): New option `-ps-font-info' to generalize
+         `-ps-fontname'.
+         (USAGE): Document it.
+ 
+ 	* main.c (output_subroutines, output_char,
+ 	init_tfm_and_encoding_info): New fns.
+         (main): Call them.
+ 
+ 	* main.c (bzr_name, encoding_*): Make static.
+ 
+ 	* input-ccc.h: Doc fix.
+ 
+ 	* main.c (main): Report 13 chars/line, not 8.
+ 
+ 	* main.c (read_command_line): If -text is given, set `report_file'
+ 	to stderr.
+ 
+ Mon Sep 28 11:20:41 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* bzrsetup.mf (fill_or_unfill): Delete `loggingall', left in by
+ 	mistake.
+ 
+ Tue Sep 22 13:08:44 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * char.h (BCHAR_*): remove unneeded parens.
+ 
+ Mon Sep 21 17:09:12 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+         * metafont.c (NO_CHAR_P): rewrite in opposite sense, rename to
+           HAVE_CHAR_P, and add tests for the characters existing.
+         (output_ligtable): change calls.
+ 
+         * main.c (main): remove the suffix from `font_name' to make the
+           default `ccc_name'.
+ 
  Thu Sep  3 07:45:36 1992  Karl Berry  (karl@hayley)
  
+         * Version 0.5.
+ 
          * metafont.c (metafont_output_ccc_char): fix ) typo.
  
***************
*** 210,214 ****
            isn't NULL, not its BZR info.
  
!         * psutil.c (NO_PARAM_RET): added
            (psinit): call SAFE_TFM_FONT_PARAMETER instead of TFM_FONT_PARAMETER.
  
--- 410,414 ----
            isn't NULL, not its BZR info.
  
!         * psutil.c (NO_PARAM_RET): added.
            (psinit): call SAFE_TFM_FONT_PARAMETER instead of TFM_FONT_PARAMETER.
  
diff -Nrc2 fontutils-0.5/bzrto/GNUmakefile fontutils-0.6/bzrto/GNUmakefile
*** fontutils-0.5/bzrto/GNUmakefile	Mon Aug 17 08:36:32 1992
--- fontutils-0.6/bzrto/GNUmakefile	Tue Oct 20 16:29:05 1992
***************
*** 19,23 ****
  program = bzrto
  
! c_and_h = char input-ccc main metafont oblique pstype1 pstype3 psutil text
  c_only = version
  y = ccc
--- 19,23 ----
  program = bzrto
  
! c_and_h = char input-ccc main metafont pstype1 pstype3 psutil text
  c_only = version
  y = ccc
***************
*** 32,37 ****
  
  install::
! 	$(INSTALL_DATA) bzredit.el $(emacslispdir)
! 	$(INSTALL_DATA) bzrsetup.mf $(mfinputdir)
  
  include M.depend
--- 32,37 ----
  
  install::
! 	$(INSTALL_DATA) bzredit.el $(emacslispdir)/bzredit.el
! 	$(INSTALL_DATA) bzrsetup.mf $(mfinputdir)/bzrsetup.mf
  
  include M.depend
